Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class EntityClassMaterialMember1

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.EntityClassMaterialMember1

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class EntityClassMaterialMember1

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Entity Class Material Member1', and utility methods for working with them.

See Also:
  `CDAR2Package.getEntityClassMaterialMember1()`

Field Summary
`static int` | `CHEM` The 'CHEM' literal value.
`static EntityClassMaterialMember1` | `CHEM_LITERAL` The 'CHEM' literal object.
`static int` | `FOOD` The 'FOOD' literal value.
`static EntityClassMaterialMember1` | `FOOD_LITERAL` The 'FOOD' literal object.
`static int` | `MAT` The 'MAT' literal value.
`static EntityClassMaterialMember1` | `MAT_LITERAL` The 'MAT' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Entity Class Material Member1' enumerators.

Method Summary
`static EntityClassMaterialMember1` | `get(int value)` Returns the 'Entity Class Material Member1' literal with the specified integer value.
`static EntityClassMaterialMember1` | `get(java.lang.String literal)` Returns the 'Entity Class Material Member1' literal with the specified literal value.
`static EntityClassMaterialMember1` | `getByName(java.lang.String name)` Returns the 'Entity Class Material Member1' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MAT

    public static final int MAT

  The 'MAT' literal value.

  If the meaning of 'MAT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `MAT_LITERAL`, Constant Field Values

### CHEM

    public static final int CHEM

  The 'CHEM' literal value.

  If the meaning of 'CHEM' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CHEM_LITERAL`, Constant Field Values

### FOOD

    public static final int FOOD

  The 'FOOD' literal value.

  If the meaning of 'FOOD' literal object isn't clear, there really should be more of a description here...

  See Also:
    `FOOD_LITERAL`, Constant Field Values

### MAT_LITERAL

    public static final EntityClassMaterialMember1 MAT_LITERAL

  The 'MAT' literal object.

  See Also:
    `MAT`

### CHEM_LITERAL

    public static final EntityClassMaterialMember1 CHEM_LITERAL

  The 'CHEM' literal object.

  See Also:
    `CHEM`

### FOOD_LITERAL

    public static final EntityClassMaterialMember1 FOOD_LITERAL

  The 'FOOD' literal object.

  See Also:
    `FOOD`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Entity Class Material Member1' enumerators.

Method Detail

### get

    public static EntityClassMaterialMember1 get(java.lang.String literal)

  Returns the 'Entity Class Material Member1' literal with the specified literal value.

### getByName

    public static EntityClassMaterialMember1 getByName(java.lang.String name)

  Returns the 'Entity Class Material Member1' literal with the specified name.

### get

    public static EntityClassMaterialMember1 get(int value)

  Returns the 'Entity Class Material Member1' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD